ru.bitel.bgbilling.server.util

## Class ModuleSetup

- java.lang.Object
- - ru.bitel.common.ParameterMap
  - - ru.bitel.common.Preferences
    - - ru.bitel.bgbilling.server.util.ModuleSetup

-     public class ModuleSetup
      extends Preferences

  Setup модуля. Его получают из Setup.getSetup().getModuleSetup( int mid )

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class ru.bitel.common.ParameterMap

      `ParameterMap.DefaultParameterMap`

  - ### Field Summary

    - ### Fields inherited from class ru.bitel.common.Preferences

      `bundleName, data`

    - ### Fields inherited from class ru.bitel.common.ParameterMap

      `mapPrint`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ModuleSetup(java.sql.Connection con, int mid)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Date` | `getInitDate()`

    - ### Methods inherited from class ru.bitel.common.Preferences

      `entrySet, extract, get, getObject, getObject, getOrderedValues, loadBundle, loadData, loadData, loadDataEntry, loadFromInputStream, loadModuleSetup, parseObjects, parseObjectsNoOrder, putObject, removeObject, set, updateData`

    - ### Methods inherited from class ru.bitel.common.ParameterMap

      `addActionListener, fingerprint, get, getBigDecimal, getBoolean, getChar, getDouble, getEnum, getFloat, getInt, getIntegerList, getLocalDate, getLong, getMap, inherit, sub, subIndexed, subKeyed, subLined, throwActionEvent, toReference, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ModuleSetup

          public ModuleSetup(java.sql.Connection con,
                             int mid)

  - ### Method Detail

    - #### getInitDate

          public java.util.Date getInitDate()